System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Xml.XmlLinkedNode System.Xml.IHasXmlChildNode

Elements are one of the most common nodes in the W3C Document Object Model (DOM). Elements can have attributes associated with them. The XmlElement class has many methods for accessing attributes (, , , , and so on). You can also use the property which returns an enabling you to access attributes by name or index from the collection.

Represents an element.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Do not instantiate an directly; instead, use methods such as .

  Initializes a new instance of the class.

  The namespace prefix; see the property.
  The local name; see the property.
  The namespace URI; see the property.
  The parent XML document.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlAttributeCollection To be added. To be added.

  Gets an containing the list of attributes for this node.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode ``

  This method serves as a copy constructor for nodes. The duplicate node has no parent ( returns null).

  Creates a duplicate of this node.

  The cloned node.

  true to recursively clone the subtree under the specified node; false to clone only the node itself (and its attributes if the node is an XmlElement).
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` To be added

  Returns the value for the attribute with the specified name.

  The value of the specified attribute. An empty string is returned if a matching attribute is not found or if the attribute does not have a specified or default value.

  The name of the attribute to retrieve. This is a qualified name. It is matched against the Name property of the matching node.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` `` To be added

  Returns the value for the attribute with the specified local name and namespace URI.

  The value of the specified attribute. An empty string is returned if a matching attribute is not found or if the attribute does not have a specified or default value.

  The local name of the attribute to retrieve. The namespace URI of the attribute to retrieve.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlAttribute `` To be added

  Returns the XmlAttribute with the specified name.

  The specified XmlAttribute or null if a matching attribute was not found.

  The name of the attribute to retrieve. This is a qualified name. It is matched against the Name property of the matching node.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlAttribute `` `` To be added

  Returns the with the specified local name and namespace URI.

  The specified XmlAttribute or null if a matching attribute was not found.

  The local name of the attribute. The namespace URI of the attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeList ``

  The nodes are placed in the order in which they would be encountered in a preorder traversal of the tree.

  It is recommended that you use the or method instead of the method.

  Returns an containing a list of all descendant elements that match the specified .

  An containing a list of all matching nodes. The list is empty if there are no matching nodes.

  The name tag to match. This is a qualified name. It is matched against the Name property of the matching node. The asterisk (*) is a special value that matches all tags.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeList `` ``

  The nodes are placed in the order in which they would be encountered in a preorder traversal of the XmlElement tree.

  It is recommended that you use the or method instead of the method.

  Returns an containing a list of all descendant elements that match the specified and .

  An containing a list of all matching nodes. The list is empty if there are no matching nodes.

  The local name to match. The asterisk (*) is a special value that matches all tags. The namespace URI to match.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Determines whether the current node has an attribute with the specified name.

  true if the current node has the specified attribute; otherwise, false.

  The name of the attribute to find. This is a qualified name. It is matched against the Name property of the matching node.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added

  Determines whether the current node has an attribute with the specified local name and namespace URI.

  true if the current node has the specified attribute; otherwise, false.

  The local name of the attribute to find. The namespace URI of the attribute to find.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  This property is a Microsoft extension to the Document Object Model (DOM).

  Gets a boolean value indicating whether the current node has any attributes.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Setting this property replaces all the children with the parsed contents of the given string.

  This property is a Microsoft extension to the Document Object Model (DOM).

  Gets or sets the concatenated values of the node and all its children.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Setting this property replaces the children of the node with the parsed contents of the given string. The parsing is done in the current namespace context.

  This property is a Microsoft extension to the Document Object Model (DOM).

  Gets or sets the markup representing just the children of this node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  This property is a Microsoft extension of the Document Object Model (DOM).

  Gets or sets the tag format of the element.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  If the node does not have a prefix, LocalName is the same as .

  Gets the local name of the current node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the qualified name of the node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This is the namespace URI specified at creation time. For example, NamespaceURI is urn:samples for the element <bk:book xmlns:bk= "urn:samples">

  Gets the namespace URI of this node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode To be added. To be added.

  Gets the immediately following this element.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType To be added. To be added.

  Gets the type of the current node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlDocument To be added.

  When adding nodes to the current node, use the XmlDocument returned by the OwnerDocument property to create the node.

  Gets the to which this node belongs.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Setting this property changes the property, which holds the qualified name for an XmlElement. However, changing the prefix does not change the namespace URI of the element.

  Gets or sets the namespace prefix of this node.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Removes all specified attributes and children of the current node. Default attributes are not removed.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This method is a Microsoft extension to the Document Object Model (DOM).

  Removes all specified attributes from the element. Default attributes are not removed.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  If the removed attribute is known to have a default value, an attribute immediately appears containing the default value and, if applicable, the corresponding namespace URI, local name, and prefix.

  Removes an attribute by name.

  The name of the attribute to remove.This is a qualified name. It is matched against the Name property of the matching node.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  If the removed attribute is known to have a default value, an attribute immediately appears containing the default value and, if applicable, the corresponding namespace URI, local name, and prefix.

  Removes an attribute with the specified local name and namespace URI. (If the removed attribute has a default value, it is immediately replaced).

  The local name of the attribute to remove. The namespace URI of the attribute to remove.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode ``

  This method is a Microsoft extension to the Document Object Model (DOM).

  Removes the attribute node with the specified index from the element. (If the removed attribute has a default value, it is immediately replaced).

  The attribute node removed or null if there is no node at the given index.

  The index of the node to remove. The first node has index 0.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlAttribute `` To be added

  Removes the specified .

  The removed XmlAttribute or null if is not an attribute node of the XmlElement.

  The XmlAttribute node to remove. If the removed attribute has a default value, it is immediately replaced.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlAttribute `` `` To be added

  Removes the specified by the local name and namespace URI. (If the removed attribute has a default value, it is immediately replaced).

  The removed XmlAttribute or null if the XmlElement does not have a matching attribute node.

  The local name of the attribute. The namespace URI of the attribute.
- Property
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.IXmlSchemaInfo To be added.

  The property is set when this node is validated.

  Gets the post schema validation infoset that has been assigned to this node as a result of schema validation.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  If an attribute with the same name is already present in the element, its value is changed to that of . is a simple string. It is not parsed as it is being set. Any markup, such as syntax to be recognized as an entity reference, is treated as literal text and needs to be properly escaped by the implementation when it is written out. In order to assign an attribute value that contains entity references, the user must create an node plus any and nodes, build the appropriate subtree and use to assign it as the value of an attribute.

  Sets the value of the attribute with the specified name.

  The name of the attribute to create or alter. This is a qualified name. If the name contains a colon it is parsed into prefix and local name components. The value to set for the attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` `` `` To be added

  Sets the value of the attribute with the specified local name and namespace URI.

  The attribute value.

  The local name of the attribute. The namespace URI of the attribute. The value to set for the attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlAttribute ``

  If an attribute with that name is already present in the element, it is replaced by the new one.

  Adds the specified .

  If the attribute replaces an existing attribute with the same name, the old XmlAttribute is returned; otherwise, null is returned.

  The XmlAttribute node to add to the attribute collection for this element.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlAttribute `` ``

  The XmlAttribute does not have any children. Use to assign a text value to the attribute or use (or a similar method) to add children to the attribute.

  Adds the specified .

  The XmlAttribute to add.

  The local name of the attribute. The namespace URI of the attribute.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlLinkedNode To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is a Microsoft extension to the Document Object Model (DOM).

  Saves all the children of the node to the specified .

  The XmlWriter to which you want to save.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is a Microsoft extension to the Document Object Model (DOM).

  Saves the current node to the specified .

  The XmlWriter to which you want to save.